Bug Hunting Session
Bug 116863 - Drag and drop text doesnt retain its formatting
Summary: Drag and drop text doesnt retain its formatting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Character Drag-and-Drop
  Show dependency treegraph
 
Reported: 2018-04-07 17:25 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-07-15 02:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (9.36 KB, application/vnd.oasis.opendocument.text)
2018-04-07 17:25 UTC, Yousuf Philips (jay) (retired)
Details
sample (9.42 KB, application/vnd.oasis.opendocument.text)
2018-04-09 21:50 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2018-04-07 17:25:26 UTC
Created attachment 141192 [details]
sample

Steps:
1. open attached doc
2. drag 'Test 4 – Plain Text' to first empty bullet point
3. ' – Plain Text' turns bold

Regression as it works fine in 5.4.3.2

Version: 6.1.0.0.alpha0+
Build ID: cab04bc39b5164ea74216cd849c3af5f5b298f79
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xavier Van Wijmeersch 2018-04-07 17:32:09 UTC
no repro

Version: 6.1.0.0.alpha0+
Build ID: d39a8e791618a40328c0f90bece3cc246dcf57f7
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-04-06_00:09:14
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 2 Xisco Faulí 2018-04-07 20:00:58 UTC
I can't reproduce it in

Version: 6.1.0.0.alpha0+
Build ID: b29f801e4106b0c729e90ff7c1b1718b671fd32d
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Could you try it in safe mode?
Comment 3 raal 2018-04-09 11:33:19 UTC
no repro Version: 6.1.0.0.alpha0+
Build ID: 4f268695787ff6c7052269058f7ae6de34abfd5d
CPU threads: 4; OS: Windows 6.1; UI render: default;
Comment 4 Xisco Faulí 2018-04-09 21:25:35 UTC
Putting to NEEDINFO until Jay tries it again in safe mode...
Comment 5 Yousuf Philips (jay) (retired) 2018-04-09 21:50:56 UTC
Created attachment 141236 [details]
sample
Comment 6 Yousuf Philips (jay) (retired) 2018-04-09 21:51:45 UTC
Sorry, wrong sample file and OOo inherited.

Version: 6.1.0.0.alpha0+
Build ID: 60b98f64f1bbe1117595b939a58fff3db8877896
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 7 Xavier Van Wijmeersch 2018-04-10 15:42:03 UTC
Now i can reproduce

Version: 6.1.0.0.alpha0+
Build ID: 77e2d29bce92639498324814be56656f85a0f0fd
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.1.0.0.alpha0+
Build ID: 2c63fcb0cf10c7ce580545576f2bd40dbcdb61d0
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.4.7.0.0+
Build ID: fce0f5823bbd6297f3455a2a36e4a66c423db9b9
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2018-04-06_15:21:02
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.4.1.2
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.3.1.2
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 8; OS Version: Linux 4.14; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 8 Xisco Faulí 2018-04-10 16:59:49 UTC
Interesting.

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 0a4c1fb68c3619e61099a7c548f550b0d3fd7a53
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 9 Telesto 2018-07-14 15:51:27 UTC
I reported something similar, bug 105352
Comment 10 QA Administrators 2019-07-15 02:48:45 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug